import { combineReducers } from "redux";
import ajaxStatusReducer from "./ajaxStatusReducer";
import systemReducer from "../../features/system/reducer";
import sessionsReducer from "../../features/session/reducer";

const rootReducer = combineReducers({
  system: systemReducer,
  sessions: sessionsReducer,
  ajaxCallsInProgress: ajaxStatusReducer
});

export default rootReducer;
